Skip to content
Start here

Change Image Transformations C2PA setting

zones.transformations_c2pa.edit(TransformationsC2paEditParams**kwargs) -> TransformationsC2pa
PATCH/zones/{zone_id}/settings/transformations_c2pa

C2PA (Coalition for Content Provenance and Authenticity) signing adds cryptographic metadata to images processed through Cloudflare Image Transformations, enabling verification of image authenticity and provenance.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings Write
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
value: Literal["off", "on"]

Whether C2PA signing is enabled for image transformations.

One of the following:
"off"
"on"
ReturnsExpand Collapse
class TransformationsC2pa:

Controls C2PA signing for images processed through Cloudflare Image Transformations.

id: Optional[Literal["image_resizing_c2pa"]]

ID of the zone setting.

editable: Optional[Literal[true, false]]

Whether or not this setting can be modified for this zone (based on your Cloudflare plan level).

One of the following:
true
false
modified_on: Optional[datetime]

last time this setting was modified.

formatdate-time
value: Optional[Literal["on", "off"]]

Current value of the zone setting.

One of the following:
"on"
"off"

Change Image Transformations C2PA setting

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
transformations_c2pa = client.zones.transformations_c2pa.edit(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
    value="off",
)
print(transformations_c2pa.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "image_resizing_c2pa",
    "editable": true,
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "value": "on"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "image_resizing_c2pa",
    "editable": true,
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "value": "on"
  }
}